diff --git a/deskutils/pim-data-exporter/Makefile b/deskutils/pim-data-exporter/Makefile
index 9e112c622358..e538c1594ac6 100644
--- a/deskutils/pim-data-exporter/Makefile
+++ b/deskutils/pim-data-exporter/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	pim-data-exporter
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	deskutils kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -11,21 +10,20 @@ LIB_DEPENDS=	libassuan.so:security/libassuan \
 		libgpg-error.so:security/libgpg-error \
 		libgpgme.so:security/gpgme \
 		libgpgmepp.so:security/gpgme-cpp \
-		libqgpgme.so:security/gpgme-qt@qt5
+		libqgpgmeqt6.so:security/gpgme-qt@qt6
 
-USES=		cmake compiler:c++11-lib gettext grantlee:5 \
-		kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	archive auth bookmarks codecs completion config configwidgets \
 		coreaddons crash dbusaddons i18n itemmodels itemviews \
-		jobwidgets kio notifications service solid wallet \
-		widgetsaddons windowsystem xmlgui \
+		jobwidgets kio notifications service solid statusnotifieritem \
+		wallet widgetsaddons windowsystem xmlgui \
 		ecm:build
 # pim components
-USE_KDE+=	akonadi akonadicontacts akonadimime akonadinotes calendarcore contacts \
-		grantleetheme identitymanagement imap libkdepim libkleo mailcommon \
-		mailtransport messagelib mime pimcommon pimtextedit
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_KDE+=	akonadi akonadicontacts akonadimime calendarcore \
+		contacts grantleetheme identitymanagement imap libkdepim \
+		libkleo mailcommon mailtransport messagelib mime pimcommon \
+		pimtextedit
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/deskutils/pim-data-exporter/distinfo b/deskutils/pim-data-exporter/distinfo
index fb5488afed43..e80bacedb6ac 100644
--- a/deskutils/pim-data-exporter/distinfo
+++ b/deskutils/pim-data-exporter/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889435
-SHA256 (KDE/release-service/23.08.5/pim-data-exporter-23.08.5.tar.xz) = 6c06e27af8db8dc12c23d6539d27a5b9b02529a723b1860c02870954d5a7bf2b
-SIZE (KDE/release-service/23.08.5/pim-data-exporter-23.08.5.tar.xz) = 427796
+TIMESTAMP = 1734460073
+SHA256 (KDE/release-service/24.12.0/pim-data-exporter-24.12.0.tar.xz) = d544034f3a5ea29b5bd45bd757d257162fb10d2affadff52a00bbf1ef1f8e06f
+SIZE (KDE/release-service/24.12.0/pim-data-exporter-24.12.0.tar.xz) = 421368
diff --git a/deskutils/pim-data-exporter/pkg-plist b/deskutils/pim-data-exporter/pkg-plist
index 01c915b48a43..8c872c82cee1 100644
--- a/deskutils/pim-data-exporter/pkg-plist
+++ b/deskutils/pim-data-exporter/pkg-plist
@@ -1,10 +1,11 @@
 bin/pimdataexporter
 bin/pimdataexporterconsole
-lib/libpimdataexporterprivate.so.5
+lib/libpimdataexporterprivate.so.6
 lib/libpimdataexporterprivate.so.%%KDE_APPLICATIONS_SHLIB_VER%%
 share/applications/org.kde.pimdataexporter.desktop
 share/config.kcfg/pimdataexporterglobalconfig.kcfg
 share/locale/ar/LC_MESSAGES/pimdataexporter.mo
+share/locale/ast/LC_MESSAGES/pimdataexporter.mo
 share/locale/az/LC_MESSAGES/pimdataexporter.mo
 share/locale/bg/LC_MESSAGES/pimdataexporter.mo
 share/locale/bs/LC_MESSAGES/pimdataexporter.mo
@@ -23,6 +24,7 @@ share/locale/fi/LC_MESSAGES/pimdataexporter.mo
 share/locale/fr/LC_MESSAGES/pimdataexporter.mo
 share/locale/ga/LC_MESSAGES/pimdataexporter.mo
 share/locale/gl/LC_MESSAGES/pimdataexporter.mo
+share/locale/he/LC_MESSAGES/pimdataexporter.mo
 share/locale/hu/LC_MESSAGES/pimdataexporter.mo
 share/locale/ia/LC_MESSAGES/pimdataexporter.mo
 share/locale/it/LC_MESSAGES/pimdataexporter.mo
@@ -49,11 +51,12 @@ share/locale/sr@ijekavian/LC_MESSAGES/pimdataexporter.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/pimdataexporter.mo
 share/locale/sr@latin/LC_MESSAGES/pimdataexporter.mo
 share/locale/sv/LC_MESSAGES/pimdataexporter.mo
+share/locale/ta/LC_MESSAGES/pimdataexporter.mo
 share/locale/tr/LC_MESSAGES/pimdataexporter.mo
 share/locale/ug/LC_MESSAGES/pimdataexporter.mo
 share/locale/uk/LC_MESSAGES/pimdataexporter.mo
 share/locale/zh_CN/LC_MESSAGES/pimdataexporter.mo
 share/locale/zh_TW/LC_MESSAGES/pimdataexporter.mo
 share/metainfo/org.kde.pimdataexporter.appdata.xml
-share/qlogging-categories5/pimdataexporter.categories
-share/qlogging-categories5/pimdataexporter.renamecategories
+share/qlogging-categories6/pimdataexporter.categories
+share/qlogging-categories6/pimdataexporter.renamecategories
diff --git a/deskutils/pim-sieve-editor/Makefile b/deskutils/pim-sieve-editor/Makefile
index cb164b6802f8..b1a72c7f0629 100644
--- a/deskutils/pim-sieve-editor/Makefile
+++ b/deskutils/pim-sieve-editor/Makefile
@@ -6,17 +6,16 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Mail sieve editor
 WWW=		https://www.kde.org/
 
-LIB_DEPENDS=	libqt5keychain.so:security/qtkeychain@qt5
+LIB_DEPENDS=	libqt6keychain.so:security/qtkeychain@qt6
 
-USES=		cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth bookmarks codecs config configwidgets coreaddons crash \
-		dbusaddons i18n iconthemes kio service wallet \
-		widgetsaddons xmlgui \
+		dbusaddons i18n iconthemes kio service wallet widgetsaddons \
+		xmlgui \
 		ecm:build
 # pim components
 USE_KDE+=	libksieve mailtransport pimcommon pimtextedit
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 DESCR=		${.CURDIR:H:H}/deskutils/kdepim/pkg-descr
diff --git a/deskutils/pim-sieve-editor/distinfo b/deskutils/pim-sieve-editor/distinfo
index 010672e9c73e..1baca7b87932 100644
--- a/deskutils/pim-sieve-editor/distinfo
+++ b/deskutils/pim-sieve-editor/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889429
-SHA256 (KDE/release-service/23.08.5/pim-sieve-editor-23.08.5.tar.xz) = 5ddaa148b36bc871dc4921ef1e38153533a4b89860e9c6ea11f4737a5032e5e4
-SIZE (KDE/release-service/23.08.5/pim-sieve-editor-23.08.5.tar.xz) = 466164
+TIMESTAMP = 1734460074
+SHA256 (KDE/release-service/24.12.0/pim-sieve-editor-24.12.0.tar.xz) = 1b37acf93cb07d066f7a7542e4104bef1b1706258478bec06b4dc24b03d8cdd8
+SIZE (KDE/release-service/24.12.0/pim-sieve-editor-24.12.0.tar.xz) = 470480
diff --git a/deskutils/pim-sieve-editor/pkg-plist b/deskutils/pim-sieve-editor/pkg-plist
index 337027659951..299cd647e1cd 100644
--- a/deskutils/pim-sieve-editor/pkg-plist
+++ b/deskutils/pim-sieve-editor/pkg-plist
@@ -1,9 +1,16 @@
 bin/sieveeditor
-lib/libsieveeditor.so.5
+lib/libsieveeditor.so.6
 lib/libsieveeditor.so.%%KDE_APPLICATIONS_SHLIB_VER%%
 share/applications/org.kde.sieveeditor.desktop
 share/config.kcfg/sieveeditorglobalconfig.kcfg
+share/icons/hicolor/16x16/apps/sieveeditor.png
+share/icons/hicolor/22x22/apps/sieveeditor.png
+share/icons/hicolor/32x32/apps/sieveeditor.png
+share/icons/hicolor/48x48/apps/sieveeditor.png
+share/icons/hicolor/64x64/apps/sieveeditor.png
+share/icons/hicolor/scalable/apps/sieveeditor.svg
 share/locale/ar/LC_MESSAGES/sieveeditor.mo
+share/locale/ast/LC_MESSAGES/sieveeditor.mo
 share/locale/az/LC_MESSAGES/sieveeditor.mo
 share/locale/bg/LC_MESSAGES/sieveeditor.mo
 share/locale/bs/LC_MESSAGES/sieveeditor.mo
@@ -20,6 +27,7 @@ share/locale/eu/LC_MESSAGES/sieveeditor.mo
 share/locale/fi/LC_MESSAGES/sieveeditor.mo
 share/locale/fr/LC_MESSAGES/sieveeditor.mo
 share/locale/gl/LC_MESSAGES/sieveeditor.mo
+share/locale/he/LC_MESSAGES/sieveeditor.mo
 share/locale/hu/LC_MESSAGES/sieveeditor.mo
 share/locale/ia/LC_MESSAGES/sieveeditor.mo
 share/locale/it/LC_MESSAGES/sieveeditor.mo
@@ -47,5 +55,5 @@ share/locale/uk/LC_MESSAGES/sieveeditor.mo
 share/locale/zh_CN/LC_MESSAGES/sieveeditor.mo
 share/locale/zh_TW/LC_MESSAGES/sieveeditor.mo
 share/metainfo/org.kde.sieveeditor.appdata.xml
-share/qlogging-categories5/sieveeditor.categories
-share/qlogging-categories5/sieveeditor.renamecategories
+share/qlogging-categories6/sieveeditor.categories
+share/qlogging-categories6/sieveeditor.renamecategories
diff --git a/deskutils/zanshin/Makefile b/deskutils/zanshin/Makefile
index 124ef8aae730..d4663abc5331 100644
--- a/deskutils/zanshin/Makefile
+++ b/deskutils/zanshin/Makefile
@@ -8,20 +8,19 @@ WWW=		https://zanshin.kde.org/
 
 LIB_DEPENDS=	libical.so:devel/libical
 
-USES=		cmake compiler:c++14-lang gettext kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++14-lang gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	akonadi auth bookmarks codecs completion config configwidgets \
-		coreaddons crash ecm:build guiaddons i18n iconthemes itemmodels \
-		itemviews jobwidgets kdelibs4support kio notifications package \
-		parts plasma-framework runner service solid sonnet textwidgets \
-		unitconversion wallet widgetsaddons windowsystem xmlgui  \
-# PIM Components
-USE_KDE+=	akonadicalendar akonadicontacts akonadinotes akonadisearch \
+		coreaddons crash guiaddons i18n iconthemes itemmodels \
+		itemviews jobwidgets kio libplasma notifications package parts \
+		service solid sonnet textwidgets unitconversion wallet \
+		widgetsaddons windowsystem xmlgui \
+		ecm:build
+# PIM Copmonents
+USE_KDE+=	akonadicalendar akonadicontacts akonadisearch \
 		calendarcore contacts identitymanagement kontactinterface ldap \
 		mime pimtextedit \
-		kdepim-runtime5:run
-USE_QT=		concurrent core dbus declarative gui network printsupport testlib \
-		widgets xml \
-		buildtools:build qmake:build
+		kdepim-runtime:run
+USE_QT=		base
 USE_XORG=	x11
 
 .include <bsd.port.mk>
diff --git a/deskutils/zanshin/distinfo b/deskutils/zanshin/distinfo
index 6588e0e57f83..c44c0cfceda6 100644
--- a/deskutils/zanshin/distinfo
+++ b/deskutils/zanshin/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889448
-SHA256 (KDE/release-service/23.08.5/zanshin-23.08.5.tar.xz) = c0f95e1c07d0d23bfac05474129740b8f0928c038d2b3144344b98316365f56e
-SIZE (KDE/release-service/23.08.5/zanshin-23.08.5.tar.xz) = 365784
+TIMESTAMP = 1734460076
+SHA256 (KDE/release-service/24.12.0/zanshin-24.12.0.tar.xz) = 6a84825fc75e5b0ce04aec8decd8062989f5463ab94f76f8d40a5f5ccbf6cf90
+SIZE (KDE/release-service/24.12.0/zanshin-24.12.0.tar.xz) = 377568
diff --git a/deskutils/zanshin/pkg-plist b/deskutils/zanshin/pkg-plist
index 1dade16c7885..7436dfbdbdc0 100644
--- a/deskutils/zanshin/pkg-plist
+++ b/deskutils/zanshin/pkg-plist
@@ -1,7 +1,7 @@
 bin/zanshin
 bin/zanshin-migrator
-%%QT_PLUGINDIR%%/kf5/krunner/org.kde.zanshin.so
-%%QT_PLUGINDIR%%/pim5/kontact/kontact_zanshinplugin.so
+%%QT_PLUGINDIR%%/kf6/krunner/org.kde.zanshin.so
+%%QT_PLUGINDIR%%/pim6/kontact/kontact_zanshinplugin.so
 %%QT_PLUGINDIR%%/zanshin_part.so
 share/applications/org.kde.zanshin.desktop
 share/icons/hicolor/128x128/apps/zanshin.png
@@ -9,7 +9,8 @@ share/icons/hicolor/256x256/apps/zanshin.png
 share/icons/hicolor/48x48/apps/zanshin.png
 share/icons/hicolor/64x64/apps/zanshin.png
 share/icons/hicolor/scalable/apps/zanshin.svgz
-share/kxmlgui5/zanshin/zanshin_part.rc
+share/locale/ar/LC_MESSAGES/zanshin.mo
+share/locale/ast/LC_MESSAGES/zanshin.mo
 share/locale/bg/LC_MESSAGES/zanshin.mo
 share/locale/bs/LC_MESSAGES/zanshin.mo
 share/locale/ca/LC_MESSAGES/zanshin.mo
@@ -18,6 +19,7 @@ share/locale/cs/LC_MESSAGES/zanshin.mo
 share/locale/da/LC_MESSAGES/zanshin.mo
 share/locale/de/LC_MESSAGES/zanshin.mo
 share/locale/en_GB/LC_MESSAGES/zanshin.mo
+share/locale/eo/LC_MESSAGES/zanshin.mo
 share/locale/es/LC_MESSAGES/zanshin.mo
 share/locale/et/LC_MESSAGES/zanshin.mo
 share/locale/eu/LC_MESSAGES/zanshin.mo
@@ -25,6 +27,7 @@ share/locale/fi/LC_MESSAGES/zanshin.mo
 share/locale/fr/LC_MESSAGES/zanshin.mo
 share/locale/ga/LC_MESSAGES/zanshin.mo
 share/locale/gl/LC_MESSAGES/zanshin.mo
+share/locale/he/LC_MESSAGES/zanshin.mo
 share/locale/hu/LC_MESSAGES/zanshin.mo
 share/locale/ia/LC_MESSAGES/zanshin.mo
 share/locale/it/LC_MESSAGES/zanshin.mo
diff --git a/devel/Makefile b/devel/Makefile
index 12790f47334a..12a4850825ca 100644
--- a/devel/Makefile
+++ b/devel/Makefile
@@ -619,7 +619,6 @@
     SUBDIR += doctest
     SUBDIR += doctorj
     SUBDIR += dolphin-plugins
-    SUBDIR += dolphin-plugins-devel
     SUBDIR += dotconf
     SUBDIR += double-conversion
     SUBDIR += doxygen
@@ -1166,6 +1165,7 @@
     SUBDIR += kodi-platform
     SUBDIR += kokkos
     SUBDIR += kommit
+    SUBDIR += kopeninghours
     SUBDIR += kore
     SUBDIR += kpublictransport
     SUBDIR += kronosnet
@@ -4295,9 +4295,6 @@
     SUBDIR += pkgconf
     SUBDIR += plan9port
     SUBDIR += plasma
-    SUBDIR += plasma5-khotkeys
-    SUBDIR += plasma5-kwrited
-    SUBDIR += plasma5-plasma-sdk
     SUBDIR += plasma6-kwrited
     SUBDIR += plasma6-plasma-sdk
     SUBDIR += plasma6-plasma5support
diff --git a/devel/cervisia/Makefile b/devel/cervisia/Makefile
index 53f3f2ae1eb0..eb59f110248d 100644
--- a/devel/cervisia/Makefile
+++ b/devel/cervisia/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	cervisia
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	devel kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -9,9 +8,9 @@ COMMENT=	CVS Frontend for KDE
 USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:5 \
 		qt:5 tar:xz xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons \
-		dbusaddons doctools i18n iconthemes init itemviews \
-		jobwidgets kdesu kio notifications parts pty service solid \
-		sonnet textwidgets widgetsaddons windowsystem xmlgui \
+		dbusaddons doctools i18n iconthemes init itemviews jobwidgets \
+		kdesu kio notifications parts pty service solid sonnet \
+		textwidgets widgetsaddons windowsystem xmlgui \
 		ecm:build
 USE_QT=		concurrent core dbus gui network widgets xml \
 		buildtools:build qmake:build
diff --git a/devel/cervisia/distinfo b/devel/cervisia/distinfo
index 54fa57486f63..d9f4a0ba0d52 100644
--- a/devel/cervisia/distinfo
+++ b/devel/cervisia/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889344
-SHA256 (KDE/release-service/23.08.5/cervisia-23.08.5.tar.xz) = 608946f590f2b6efb994c0809fecbcbab03574d318a3d5973de3d4839eb17f1f
-SIZE (KDE/release-service/23.08.5/cervisia-23.08.5.tar.xz) = 1947044
+TIMESTAMP = 1734460078
+SHA256 (KDE/release-service/24.12.0/cervisia-24.12.0.tar.xz) = a889c7d8c434ff0342fc522c699943f2d9301888aa40e8fe27aacc2fdd23820b
+SIZE (KDE/release-service/24.12.0/cervisia-24.12.0.tar.xz) = 1809936
diff --git a/devel/cervisia/pkg-plist b/devel/cervisia/pkg-plist
index d264f61cbb0c..b71866d31995 100644
--- a/devel/cervisia/pkg-plist
+++ b/devel/cervisia/pkg-plist
@@ -45,6 +45,7 @@ share/icons/hicolor/scalable/actions/vcs-diff-cvs-cervisia.svgz
 share/icons/hicolor/scalable/actions/vcs-remove-cvs-cervisia.svgz
 share/icons/hicolor/scalable/actions/vcs-status-cvs-cervisia.svgz
 share/icons/hicolor/scalable/actions/vcs-update-cvs-cervisia.svgz
+share/icons/hicolor/scalable/apps/cervisia.svg
 share/knotifications5/cervisia.notifyrc
 share/kservices5/org.kde.cervisiapart5.desktop
 share/kservices5/org.kde.cvsservice5.desktop
diff --git a/devel/dolphin-plugins/Makefile b/devel/dolphin-plugins/Makefile
index 465a388f90d9..483f2519fa0e 100644
--- a/devel/dolphin-plugins/Makefile
+++ b/devel/dolphin-plugins/Makefile
@@ -9,16 +9,15 @@ WWW=		https://www.kde.org/
 BUILD_DEPENDS=	dolphin:x11-fm/dolphin
 RUN_DEPENDS=	dolphin:x11-fm/dolphin
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:5 \
-		qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		qt:6 tar:xz xorg
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
 		coreaddons crash guiaddons i18n iconthemes itemviews \
-		jobwidgets kdelibs4support kio notifications parts service \
-		solid sonnet syntaxhighlighting texteditor textwidgets \
-		unitconversion widgetsaddons windowsystem xmlgui \
+		jobwidgets kio notifications parts service solid sonnet \
+		syntaxhighlighting texteditor textwidgets unitconversion \
+		widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network printsupport widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/devel/dolphin-plugins/distinfo b/devel/dolphin-plugins/distinfo
index 4f5477082afd..a3bbe7c9c4ca 100644
--- a/devel/dolphin-plugins/distinfo
+++ b/devel/dolphin-plugins/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889339
-SHA256 (KDE/release-service/23.08.5/dolphin-plugins-23.08.5.tar.xz) = 2f448eea478dc178b2bb92071ad1a5fe85404879519be6534914fd865e6bc05d
-SIZE (KDE/release-service/23.08.5/dolphin-plugins-23.08.5.tar.xz) = 274124
+TIMESTAMP = 1734460080
+SHA256 (KDE/release-service/24.12.0/dolphin-plugins-24.12.0.tar.xz) = edfd039209603ef0462fc53c8de067b3331afefbf10663bd444ae145a52c216d
+SIZE (KDE/release-service/24.12.0/dolphin-plugins-24.12.0.tar.xz) = 319128
diff --git a/devel/dolphin-plugins/pkg-plist b/devel/dolphin-plugins/pkg-plist
index cf5c846ac9f2..a2b011d6e006 100644
--- a/devel/dolphin-plugins/pkg-plist
+++ b/devel/dolphin-plugins/pkg-plist
@@ -3,11 +3,18 @@
 %%QT_PLUGINDIR%%/dolphin/vcs/fileviewgitplugin.so
 %%QT_PLUGINDIR%%/dolphin/vcs/fileviewhgplugin.so
 %%QT_PLUGINDIR%%/dolphin/vcs/fileviewsvnplugin.so
-%%QT_PLUGINDIR%%/kf5/kfileitemaction/mountisoaction.so
+%%QT_PLUGINDIR%%/kf6/kfileitemaction/makefileactions.so
+%%QT_PLUGINDIR%%/kf6/kfileitemaction/mountisoaction.so
 share/config.kcfg/fileviewgitpluginsettings.kcfg
 share/config.kcfg/fileviewhgpluginsettings.kcfg
 share/config.kcfg/fileviewsvnpluginsettings.kcfg
 share/locale/ar/LC_MESSAGES/mountisoaction.mo
+share/locale/ast/LC_MESSAGES/fileviewbazaarplugin.mo
+share/locale/ast/LC_MESSAGES/fileviewgitplugin.mo
+share/locale/ast/LC_MESSAGES/fileviewhgplugin.mo
+share/locale/ast/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/ast/LC_MESSAGES/makefileactions.mo
+share/locale/ast/LC_MESSAGES/mountisoaction.mo
 share/locale/az/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/az/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/az/LC_MESSAGES/fileviewhgplugin.mo
@@ -26,16 +33,19 @@ share/locale/ca/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/ca/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/ca/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/ca/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/ca/LC_MESSAGES/makefileactions.mo
 share/locale/ca/LC_MESSAGES/mountisoaction.mo
 share/locale/ca@valencia/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/ca@valencia/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/ca@valencia/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/ca@valencia/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/ca@valencia/LC_MESSAGES/makefileactions.mo
 share/locale/ca@valencia/LC_MESSAGES/mountisoaction.mo
 share/locale/cs/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/cs/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/cs/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/cs/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/cs/LC_MESSAGES/makefileactions.mo
 share/locale/cs/LC_MESSAGES/mountisoaction.mo
 share/locale/da/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/da/LC_MESSAGES/fileviewgitplugin.mo
@@ -45,22 +55,31 @@ share/locale/de/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/de/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/de/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/de/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/de/LC_MESSAGES/makefileactions.mo
 share/locale/de/LC_MESSAGES/mountisoaction.mo
 share/locale/el/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/el/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/el/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/el/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/el/LC_MESSAGES/makefileactions.mo
+share/locale/el/LC_MESSAGES/mountisoaction.mo
 share/locale/en_GB/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/en_GB/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/en_GB/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/en_GB/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/en_GB/LC_MESSAGES/makefileactions.mo
 share/locale/en_GB/LC_MESSAGES/mountisoaction.mo
+share/locale/eo/LC_MESSAGES/fileviewbazaarplugin.mo
+share/locale/eo/LC_MESSAGES/fileviewgitplugin.mo
+share/locale/eo/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/eo/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/eo/LC_MESSAGES/makefileactions.mo
 share/locale/eo/LC_MESSAGES/mountisoaction.mo
 share/locale/es/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/es/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/es/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/es/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/es/LC_MESSAGES/makefileactions.mo
 share/locale/es/LC_MESSAGES/mountisoaction.mo
 share/locale/et/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/et/LC_MESSAGES/fileviewgitplugin.mo
@@ -71,16 +90,19 @@ share/locale/eu/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/eu/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/eu/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/eu/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/eu/LC_MESSAGES/makefileactions.mo
 share/locale/eu/LC_MESSAGES/mountisoaction.mo
 share/locale/fi/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/fi/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/fi/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/fi/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/fi/LC_MESSAGES/makefileactions.mo
 share/locale/fi/LC_MESSAGES/mountisoaction.mo
 share/locale/fr/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/fr/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/fr/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/fr/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/fr/LC_MESSAGES/makefileactions.mo
 share/locale/fr/LC_MESSAGES/mountisoaction.mo
 share/locale/ga/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/ga/LC_MESSAGES/fileviewgitplugin.mo
@@ -90,15 +112,25 @@ share/locale/gl/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/gl/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/gl/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/gl/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/gl/LC_MESSAGES/makefileactions.mo
 share/locale/gl/LC_MESSAGES/mountisoaction.mo
+share/locale/he/LC_MESSAGES/fileviewbazaarplugin.mo
+share/locale/he/LC_MESSAGES/fileviewgitplugin.mo
+share/locale/he/LC_MESSAGES/fileviewhgplugin.mo
+share/locale/he/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/he/LC_MESSAGES/makefileactions.mo
+share/locale/he/LC_MESSAGES/mountisoaction.mo
 share/locale/hu/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/hu/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/hu/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/hu/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/hu/LC_MESSAGES/makefileactions.mo
+share/locale/hu/LC_MESSAGES/mountisoaction.mo
 share/locale/ia/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/ia/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/ia/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/ia/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/ia/LC_MESSAGES/makefileactions.mo
 share/locale/ia/LC_MESSAGES/mountisoaction.mo
 share/locale/id/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/id/LC_MESSAGES/fileviewgitplugin.mo
@@ -111,16 +143,19 @@ share/locale/it/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/it/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/it/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/it/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/it/LC_MESSAGES/makefileactions.mo
 share/locale/it/LC_MESSAGES/mountisoaction.mo
 share/locale/ja/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/ja/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/ja/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/ja/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/ja/LC_MESSAGES/makefileactions.mo
 share/locale/ja/LC_MESSAGES/mountisoaction.mo
 share/locale/ka/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/ka/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/ka/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/ka/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/ka/LC_MESSAGES/makefileactions.mo
 share/locale/ka/LC_MESSAGES/mountisoaction.mo
 share/locale/kk/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/kk/LC_MESSAGES/fileviewgitplugin.mo
@@ -130,12 +165,16 @@ share/locale/ko/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/ko/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/ko/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/ko/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/ko/LC_MESSAGES/makefileactions.mo
 share/locale/ko/LC_MESSAGES/mountisoaction.mo
 share/locale/lt/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/lt/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/lt/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/lt/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/lt/LC_MESSAGES/makefileactions.mo
 share/locale/lt/LC_MESSAGES/mountisoaction.mo
+share/locale/lv/LC_MESSAGES/makefileactions.mo
+share/locale/lv/LC_MESSAGES/mountisoaction.mo
 share/locale/mr/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/mr/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/mr/LC_MESSAGES/fileviewhgplugin.mo
@@ -158,6 +197,7 @@ share/locale/nl/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/nl/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/nl/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/nl/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/nl/LC_MESSAGES/makefileactions.mo
 share/locale/nl/LC_MESSAGES/mountisoaction.mo
 share/locale/nn/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/nn/LC_MESSAGES/fileviewgitplugin.mo
@@ -171,6 +211,7 @@ share/locale/pl/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/pl/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/pl/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/pl/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/pl/LC_MESSAGES/makefileactions.mo
 share/locale/pl/LC_MESSAGES/mountisoaction.mo
 share/locale/pt/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/pt/LC_MESSAGES/fileviewgitplugin.mo
@@ -181,6 +222,7 @@ share/locale/pt_BR/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/pt_BR/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/pt_BR/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/pt_BR/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/pt_BR/LC_MESSAGES/makefileactions.mo
 share/locale/pt_BR/LC_MESSAGES/mountisoaction.mo
 share/locale/ro/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/ro/LC_MESSAGES/fileviewsvnplugin.mo
@@ -189,27 +231,36 @@ share/locale/ru/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/ru/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/ru/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/ru/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/ru/LC_MESSAGES/makefileactions.mo
 share/locale/ru/LC_MESSAGES/mountisoaction.mo
 share/locale/sk/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/sk/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/sk/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/sk/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/sk/LC_MESSAGES/makefileactions.mo
 share/locale/sk/LC_MESSAGES/mountisoaction.mo
 share/locale/sl/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/sl/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/sl/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/sl/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/sl/LC_MESSAGES/makefileactions.mo
 share/locale/sl/LC_MESSAGES/mountisoaction.mo
 share/locale/sv/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/sv/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/sv/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/sv/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/sv/LC_MESSAGES/makefileactions.mo
 share/locale/sv/LC_MESSAGES/mountisoaction.mo
+share/locale/ta/LC_MESSAGES/fileviewgitplugin.mo
+share/locale/ta/LC_MESSAGES/fileviewhgplugin.mo
+share/locale/ta/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/ta/LC_MESSAGES/makefileactions.mo
 share/locale/ta/LC_MESSAGES/mountisoaction.mo
 share/locale/tr/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/tr/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/tr/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/tr/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/tr/LC_MESSAGES/makefileactions.mo
 share/locale/tr/LC_MESSAGES/mountisoaction.mo
 share/locale/ug/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/ug/LC_MESSAGES/fileviewgitplugin.mo
@@ -219,6 +270,7 @@ share/locale/uk/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/uk/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/uk/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/uk/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/uk/LC_MESSAGES/makefileactions.mo
 share/locale/uk/LC_MESSAGES/mountisoaction.mo
 share/locale/vi/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/vi/LC_MESSAGES/mountisoaction.mo
@@ -226,10 +278,13 @@ share/locale/zh_CN/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/zh_CN/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/zh_CN/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/zh_CN/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/zh_CN/LC_MESSAGES/makefileactions.mo
 share/locale/zh_CN/LC_MESSAGES/mountisoaction.mo
 share/locale/zh_TW/LC_MESSAGES/fileviewbazaarplugin.mo
 share/locale/zh_TW/LC_MESSAGES/fileviewgitplugin.mo
 share/locale/zh_TW/LC_MESSAGES/fileviewhgplugin.mo
 share/locale/zh_TW/LC_MESSAGES/fileviewsvnplugin.mo
+share/locale/zh_TW/LC_MESSAGES/makefileactions.mo
 share/locale/zh_TW/LC_MESSAGES/mountisoaction.mo
 share/metainfo/org.kde.dolphin-plugins.metainfo.xml
+share/qlogging-categories6/dolphingit.categories
diff --git a/devel/kapptemplate/Makefile b/devel/kapptemplate/Makefile
index 2a797340ba81..7bc9b7f09b60 100644
--- a/devel/kapptemplate/Makefile
+++ b/devel/kapptemplate/Makefile
@@ -8,13 +8,12 @@ COMMENT=	KDE template generator
 BUILD_DEPENDS=	${LOCALBASE}/share/xsl/docbook/html/docbook.xsl:textproc/docbook-xsl \
 		docbook-xml>0:textproc/docbook-xml
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz xorg
-USE_KDE=	auth archive codecs completion config configwidgets coreaddons \
-		doctools i18n jobwidgets kio newstuff service solid \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
+USE_KDE=	archive auth codecs completion config configwidgets coreaddons \
+		doctools i18n jobwidgets kio kirigami-addons newstuff service solid \
 		widgetsaddons windowsystem \
 		ecm:build
-USE_QT=		concurrent core dbus gui network testlib widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/devel/kapptemplate/distinfo b/devel/kapptemplate/distinfo
index e5f9b55731a6..f0b6a7f6a88c 100644
--- a/devel/kapptemplate/distinfo
+++ b/devel/kapptemplate/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889334
-SHA256 (KDE/release-service/23.08.5/kapptemplate-23.08.5.tar.xz) = 9b78d6997761b10ad19f6d8ec05379896ade2c64f63272d26b3b099a82485651
-SIZE (KDE/release-service/23.08.5/kapptemplate-23.08.5.tar.xz) = 339976
+TIMESTAMP = 1734460081
+SHA256 (KDE/release-service/24.12.0/kapptemplate-24.12.0.tar.xz) = c99c3f211d8657218fb3d3afeaed14c67cbe6cb7ebc0f50ed8360b12191715cb
+SIZE (KDE/release-service/24.12.0/kapptemplate-24.12.0.tar.xz) = 476172
